Load "../extract_fixed.v".

Require Import ProofOS.AbsInt.SimpleCond.
Require Import ProofOS.AbsInt.WeakUpdateTypes.
Require Import ProofOS.Examples.IntPtr.

Extract Inductive intPtrTy => "IntPtr_types.intPtrTy"
  [ "IntPtr_types.Anything" "IntPtr_types.Constant" "IntPtr_types.Ptr" "IntPtr_types.NnPtr" ].

Extract Constant print_intPtrTy => "IntPtr_types.print_intPtrTy".
Extract Constant print_condState => "Ver_fixed.print_condState".
Extract Constant print_weakState => "Ver_fixed.print_weakState".

Optimized Recursive Extraction Verifier.
