OUTPUT_FORMAT("binary")
ENTRY(start)
code_phys    = 0x00100000;
regions_phys = 0x00200000;
annot_phys   = 0x00300000;
data_phys    = 0x00400000;
SECTIONS
{
  .text code_phys : AT(code_phys) {
    code = .;
    *(.text)
    . = ALIGN(4096);
  }
  .regions : AT(regions_phys)
  {
    regions = .;
    *(.regions)
    . = ALIGN(4096);
  }
  .cutpoints : AT(annot_phys)
  {
    cutpoints = .;
    *(.cutpoints)
    . = ALIGN(4096);
  }
  .data : AT(data_phys)
  {
    data = .;
    *(.data)
    . = ALIGN(4096);
  }
  .bss : AT(data_phys + (bss - data))
  {
    bss = .;
    *(.bss)
    . = ALIGN(4096);
  }
  end = .;
}
