Load "../../extract_fixed.v".

Require Import ProofOS.Trusted.Env.
Require Import ProofOS.AbsInt.FirstOrder.
Require Import ProofOS.Examples.EvenOdd.
Import Ver.

Extract Inductive GenericTypes.ty => "FirstOrder_types.ty" [ "Top" "Const" "Stack" "RetPtr" "OldEbp" "Custom" ].

Extract Constant initialPc => "initialPc".
Extract Constant actualCodeLen => "actualCodeLen".
Extract Constant stackStart => "stackStart".

Extract Inductive apc => "apc" [ "ApcConst" "ApcRet" ].
Extract Constant stackSize => "stackSize".

Optimized Recursive Extraction Ver.
