Load "../extract_fixed.v".

Require Import ProofOS.Trusted.Env.
Require Import ProofOS.Kernel.Defs ProofOS.Kernel.Main ProofOS.Kernel.Metadata.

Extract Inductive ty => "ty" [ "Top" "Const" "Stack" "RetPtr" "OldEbp" ].

Extract Constant initialPc => "initialPc".
Extract Constant actualCodeLen => "actualCodeLen".
Extract Constant stackStart => "stackStart".

Extract Inductive apc => "apc" [ "ApcConst" "ApcRet" ].
Extract Constant cutpoints => "cutpoints".
Extract Constant functions => "functions".
Extract Constant stackSize => "stackSize".

Optimized Recursive Extraction C.
