Load "../extract_fixed.v".

Require Import ProofOS.AbsInt.SimpleCond.
Require Import ProofOS.AbsInt.WeakUpdateTypes.
Require Import ProofOS.Examples.MemoryTypes.

Extract Inductive memoryTy => "MemoryTypes_types.memoryTy"
  [ "MemoryTypes_types.Constant" "MemoryTypes_types.Product"
  "MemoryTypes_types.Sum"
  "MemoryTypes_types.Var" "MemoryTypes_types.Recursive" ].
Extract Inductive productTy => "MemoryTypes_types.productTy"
  [ "MemoryTypes_types.PT_Nil" "MemoryTypes_types.PT_Cons" ].

Extract Constant print_memoryTy => "MemoryTypes_types.print_memoryTy".
Extract Constant print_condState => "Ver_fixed.print_condState".
Extract Constant print_weakState => "Ver_fixed.print_weakState".

Optimized Recursive Extraction Verifier.
